package com.engine.salary.service.auth;

import com.engine.salary.entity.auth.dto.AuthRoleEmpDTO;
import com.engine.salary.entity.auth.param.AuthMemberQueryParam;
import com.engine.salary.entity.auth.param.AuthMemberSaveParam;
import com.engine.salary.entity.auth.param.AuthSyncParam;
import com.engine.salary.entity.auth.po.AuthMemberPO;

import java.util.List;

/**
 * 成员
 * <p>Copyright: Copyright (c) 2024</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public interface AuthMemberService {
    /**
     * 成员列表
     * @param roleId
     * @return
     */
    List<AuthMemberPO> list(Long roleId);

    /**
     * 添加成员
     * @param params
     * @return
     */
    void save(List<AuthMemberSaveParam> params);

    /**
     * 删除成员
     * @param ids
     */
   void delete(List<Long> ids);

    /**
     * 同步成员
     * @param param
     */
    void sync(AuthSyncParam param);

    void deleteByRoleId(Long roleId);

    List<AuthRoleEmpDTO> listRoleEmp(AuthMemberQueryParam param);
}
